{-# LANGUAGE OverloadedStrings #-}
{-# LANGUAGE PackageImports #-}
module Control.User where

import Servant.Client

import Data.Text.I18n

import Control.Monad.Reader (ask)
import Control.Monad.IO.Class (liftIO)

-- imports from mateamt

-- internal imports

import Types
import Client
import View

userSelectControl :: UserHandler UserSelectPage
userSelectControl = do
  (ReadState mngr l10n) <- ask
  let loc = Locale "en"
  euser <- liftIO $ runClientM
        (userList (Nothing))
        (mkClientEnv mngr (BaseUrl Http "localhost" 8000 ""))
  case euser of
    Right uss ->
      return $ userSelectPage l10n loc uss
    Left err ->
      error $ show err

userOverviewControl :: Int -> UserHandler UserOverviewPage
userOverviewControl uid = do
  error "Not yet implemented"
